#include <iostream>
#include <bits/stdc++.h>
using namespace std;
void sortiraj(long int a[],long int n)
{
    int b;
    for(int i=0;i<n;++i)
    {
        for(int j=i+1;j<n;++j)
        {
            if(a[i]<a[j])
            {
              b=a[i];
              a[i]=a[j];
              a[j]=b;
            }
        }
    }
}
int nadjiZadnji(long int a[],long int n,int broj,long int brp)
{
    int c=0;
    for(int i=0;i<n;i++)
    {
        c=i;
        while(brp>0){
            if(a[i]==broj)
            {
               c++;
               brp--;
            }
        }
    }
    return c;
}
int main()
{
    ios_base::sync_with_stdio(false);
    long int n;
    cin>>n;
    long int a[n];
    long int c[n];
    long int b[10];

    for(int i=0;i<n;i++)
        cin>>a[i];

     for(int i=0;i<n;i++)
            c[i]=a[i];

     sortiraj(c,n);

     int brojac=0;
     long int v;
     for(int i=0;i<n;i++)
      {
         if(a[i]!=c[i])
         brojac++;
      }
      if(brojac==0)
      {
          v=a[n-1];
          a[n-1]=a[n-2];
          a[n-2]=v;
      }
      else
   {
    for(int i=0;i<10;i++)
    {
        b[i]=0;
    }
    for(int i=9;i>=0;i--)
    {
        for(int j=0;j<n;j++)
        {
            if(a[j]==i)
                b[i]++;

        }
    }
    int prom;
    long int zadnji=0;
    int l=9,k=0;
    while(l>=0 && k<n){
        if(b[l]==0)
        {
           l--;
        }
        else
        {
            if(a[k]==l)
            {
                k++;
                l--;
            }
                else
                {
                    prom=a[k];
                    a[k]=l;
                    b[l]--;
                    zadnji=nadjiZadnji(a,n,l,b[l]);
                    a[zadnji]=prom;
                    goto done;
                }

        }

    }
   }
    done:
    for(int j=0;j<n;j++)
        cout<<a[j]<<" ";

    return 0;
}